Update Custom Deployment
curl --request PATCH \
--url https://api.example.com/deployments/custom-serving/{deployment_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"serving_bundle": {
"schema_version": "serving.v1",
"runtime": {
"type": "prebuilt",
"value": "<string>"
},
"interface": {
"input": {},
"output": {}
},
"name": "<string>",
"description": "<string>",
"artifacts": [
{
"name": "<string>",
"path": "<string>",
"kind": "file"
}
],
"datasets": [
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>"
}
]
},
"model_refs": [
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>"
}
],
"artifacts": [
{
"name": "<string>",
"content": "<unknown>",
"content_type": "<string>"
}
],
"cloud_run_config": {}
}
'import requests
url = "https://api.example.com/deployments/custom-serving/{deployment_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"serving_bundle": {
"schema_version": "serving.v1",
"runtime": {
"type": "prebuilt",
"value": "<string>"
},
"interface": {
"input": {},
"output": {}
},
"name": "<string>",
"description": "<string>",
"artifacts": [
{
"name": "<string>",
"path": "<string>",
"kind": "file"
}
],
"datasets": [
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>"
}
]
},
"model_refs": [
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>"
}
],
"artifacts": [
{
"name": "<string>",
"content": "<unknown>",
"content_type": "<string>"
}
],
"cloud_run_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
serving_bundle: {
schema_version: 'serving.v1',
runtime: {type: 'prebuilt', value: '<string>'},
interface: {input: {}, output: {}},
name: '<string>',
description: '<string>',
artifacts: [{name: '<string>', path: '<string>', kind: 'file'}],
datasets: [{dataset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', alias: '<string>'}]
},
model_refs: [{model_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', alias: '<string>'}],
artifacts: [{name: '<string>', content: '<unknown>', content_type: '<string>'}],
cloud_run_config: {}
})
};
fetch('https://api.example.com/deployments/custom-serving/{deployment_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"service_name": "<string>",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_model_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Pending",
"rollout_status": "<string>",
"rollout_error": "<string>",
"rollout_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rollout_queued_at": "2023-11-07T05:31:56Z",
"annotations": {},
"cloud_run_config": {},
"current_deployment_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lower_env_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"higher_env_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}deployments
Update Custom Deployment
PATCH
/
deployments
/
custom-serving
/
{deployment_id}
/
Update Custom Deployment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response